com.microfocus.zserver.zexplorer.ui.internal

## Class CciKeyCombo

- java.lang.Object
- - com.microfocus.zserver.zexplorer.ui.internal.CciKeyCombo

-     public class CciKeyCombo
      extends java.lang.Object

  Wraps a `Combo` for selecting available CCI SSL configurations. The list of keys can be updated for a specific host name and port.
  Author:
    RalfP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VALUE_NONE` Value when no CCI configuration was selected.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CciKeyCombo(org.eclipse.swt.widgets.Composite pParent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.widgets.Combo` | `getCombo()` Gets the wrapped `Combo`.
    `void` | `limitValues(java.lang.String pHostname, java.lang.String pPort)` Limits available items to `CciConnectionPropertyEntry` keys that were configured for the given host name and port.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_NONE

          public static final java.lang.String VALUE_NONE

      Value when no CCI configuration was selected.

  - ### Constructor Detail

    - #### CciKeyCombo

          public CciKeyCombo(org.eclipse.swt.widgets.Composite pParent)

      Constructor. Calls `MFAFacility#getCCIConnectionPropertyEntries()` to get available CCI connection property objects.
      Parameters:
        `pParent` - the parent composite

  - ### Method Detail

    - #### getCombo

          public org.eclipse.swt.widgets.Combo getCombo()

      Gets the wrapped `Combo`.
      Returns:
        the combo

    - #### limitValues

          public void limitValues(java.lang.String pHostname,
                                  java.lang.String pPort)

      Limits available items to `CciConnectionPropertyEntry` keys that were configured for the given host name and port.
      Parameters:
        `pHostname` - the host name to limit CCI keys for
        `pPort` - the port to limit CCI keys for

Copyright © 2015 Micro Focus GmbH. All rights reserved.